package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class ConnexionInfoPacket extends Packet {

	static private final long serialVersionUID = Packets.ConnectionInfo.ordinal();

	private final int connectionId;

	public ConnexionInfoPacket(int connectionId) {
		this.connectionId = connectionId;
	}

	public int getConnectionId() {
		return connectionId;
	}
	
	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}
}
